libzypp 17.37.10

zypp::ArchCompatibleWith Struct Reference

Functor finding compatible architectures. More...

`#include <zypp/Arch.h>`

## Public Member Functions
| ArchCompatibleWith (const Arch &targetArch_r)
| Ctor taking the target architecture.
bool | operator() (const Arch &rhs) const
| Call Arch::compatibleWith ( `_targetArch` ) on rhs.

## Public Attributes
Arch | _targetArch
| The target architecture.

## Detailed Description

Functor finding compatible architectures.

See also
  Arch::compatibleWith

Definition at line 345 of file Arch.h.

## Constructor & Destructor Documentation

## ◆ ArchCompatibleWith()

zypp::ArchCompatibleWith::ArchCompatibleWith | ( | const Arch & | targetArch_r | ) |
| inline

Ctor taking the target architecture.

Definition at line 350 of file Arch.h.

## Member Function Documentation

## ◆ operator()()

bool zypp::ArchCompatibleWith::operator() | ( | const Arch & | rhs | ) | const
| inline

Call Arch::compatibleWith ( `_targetArch` ) on rhs.

Definition at line 354 of file Arch.h.

## Member Data Documentation

## ◆ _targetArch

Arch zypp::ArchCompatibleWith::_targetArch

The target architecture.

Definition at line 348 of file Arch.h.

The documentation for this struct was generated from the following file:

- zypp/Arch.h